veyron.io/playground: Fix docker image build.

Web profile setup now requires Mercurial and .hgrc.

Change-Id: I5f4d10c5ad9ac6fc63635a84ab966250ec1a9367
diff --git a/compilerd/update.sh b/compilerd/update.sh
index 30796fa..16a3f48 100755
--- a/compilerd/update.sh
+++ b/compilerd/update.sh
@@ -39,6 +39,10 @@
     echo "Unable to access git, missing ~/.netrc"
     exit 1
   fi
+  if [[ ! -e ~/.hgrc ]]; then
+    echo "Unable to access mercurial, missing ~/.hgrc"
+    exit 1
+  fi
 
   local ROLLING="1"
   if [[ $# -gt 0 && ("$1" == "--no-rolling") ]]; then
@@ -52,8 +56,10 @@
   # Build the docker image.
   cd ${VEYRON_ROOT}/veyron/go/src/veyron.io/playground/builder
   cp ~/.netrc ./netrc
+  cp ~/.hgrc ./hgrc
   sudo docker build --no-cache -t playground .
   rm -f ./netrc
+  rm -f ./hgrc
 
   # Export the docker image to disk.
   sudo docker save -o /mnt/playground.tar.gz playground